Zum Hauptinhalt springen

Check if a Domain is available to transfer

POST/v2/domain-transferable/
API version
v2
Request method
POST
Operation ID
domain-check-domain-transferability

For some TLDs (e.g., .de), transferability cannot be evaluated. In these cases, transferable = true is returned.

Request​

Responses​

Format
application/json
Beschreibung

OK

  • reasonsobject
    required
    • domainAgeTooSmallboolean
      required
    • domainDoesNotExistboolean
      required
    • enabledIngressInOtherProjectboolean
      required

      An enabled ingress for this domain already exists in a project other than the given projectId. Delete that ingress or transfer the domain into that project.

    • inRedemptionPeriodboolean
      required
    • transferLockboolean
      required
    • wrongAuthCodeboolean
      required
  • transferableboolean
    required

Usage examples​

$ curl \
--fail \
--location \
-X POST \
-d '{"authCode":"string","domain":"string","projectId":"f0f86186-0a5a-45b2-aa33-502777496347"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/domain-transferable